SystemOrganization addCategory: #ConfigurationOfStatsd!

Object subclass: #ConfigurationOfStatsd
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfStatsd'!

!ConfigurationOfStatsd class methodsFor: 'development support' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfStatsd class methodsFor: 'private' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfStatsd class methodsFor: 'private' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfStatsd class methodsFor: 'private' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfStatsd class methodsFor: 'metacello tool support' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfStatsd class methodsFor: 'loading' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfStatsd class methodsFor: 'loading' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfStatsd class methodsFor: 'loading' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfStatsd class methodsFor: 'accessing' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
project

	^self new project! !

!ConfigurationOfStatsd class methodsFor: 'development support' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfStatsd methodsFor: 'baselines' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Statsd'.
		spec package: 'Statsd-Core'.
		spec group: 'Core' with: #('Statsd-Core' ). ].
! !

!ConfigurationOfStatsd methodsFor: 'symbolic versions' stamp: 'PaulDeBruicker 9/6/2012 10:18'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfStatsd methodsFor: 'accessing' stamp: 'PaulDeBruicker 9/6/2012 10:14'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfStatsd methodsFor: 'symbolic versions' stamp: 'PaulDeBruicker 9/6/2012 10:18'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfStatsd methodsFor: 'versions' stamp: 'PaulDeBruicker 9/6/2012 10:18'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Initial version'.
		spec author: 'PaulDeBruicker'.
		spec timestamp: '9/6/2012 10:16'.
		spec package: 'Statsd-Core' with: 'Statsd-Core-PaulDeBruicker.1'. ].
! !
